# Destination-IDs

Die Destination-IDs entscheiden darüber wohin ein Antrag zugestellt wird. Jeder Zustellpunkt eines spezifischen Antrags im FIT-Connect System verfügt über eine Destination ID.

Ein Empfangspunkt kann dabei die Nachrichten für mehrere Destination-IDs empfangen und ein Antrag kann auch an mehrere Destination-IDs versendet werden.

## Zusammensetzung der Destination-IDs

Eine Destination-ID ist immer eine ID in Verbindung mit einem Prefix für die Art der Leistung, die über sie zugestellt wird. 

Das Format sieht dabei wie folgt aus

```
[leika|custom]:[leika-ID|service-ID]:[Destination-UUID]
```

| Feld             | Inhalt                                                       | Erläuterung                                                  |
| ---------------- | ------------------------------------------------------------ | ------------------------------------------------------------ |
| Type             | leika oder custom                                            | Leika steht dafür, das die folgende ID einer Leistung im [Leistungskatalog der öffentlichen Verwaltung](https://leitfaden.ozg-umsetzung.de/display/OZG/2.1+Verwaltungsleistungen+im+Sinne+des+OZG) verzeichnet ist. Custom bedeutet, das es sich um eine Leistung handelt, die nicht Teil des Leistungskatalogs ist und nur in FIT-Connect angelegt wurde |
| ID               | eine maximal 9-Stellige Nummer, die die Art des übermittelten Antrags angibt | Wenn der Typ "leika" entspricht, handelt es sich um eine ID, die einer Leistung im Leistungskatalog entspricht. Wenn der Typ "custom" entspricht, dann handelt es sich um eine ID, die einer Custom-Leistung im FIT-Connect Admin-Panel entspricht. |
| Destination-UUID | UUID der Destination                                         | UUID der Destination, an die der Antrag versendet werden soll. |

## Beispiele

LeiKa-Leistung für die [Begutachung von abgeschleppten Fahrzeugen](https://fimportal.de/detail/L/99108008252000):

```
leika:99108008252000:36141427-d405-40a4-8f8b-3592d544e85b
```

Eine Custom-Leistung:

```
custom:15:655c6eb6-e80a-4d7b-a8d2-3f3250b6b9b1
```

## Regex zur Validierung

```
(custom|leika):([0-9]{4,15}):([0-9A-F]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12})
```

